package com.bytedance.ies.xelement.audiott;

import X.LCR;
import com.bytedance.covode.number.Covode;
import com.lynx.react.bridge.Callback;
import com.lynx.react.bridge.ReadableMap;

public class LynxAudioTTView$$MethodInvoker implements LCR<LynxAudioTTView> {
    static {
        Covode.recordClassIndex(32073);
    }

    public void invoke(LynxAudioTTView lynxAudioTTView, String str, ReadableMap readableMap, Callback callback) {
        str.hashCode();
        switch (str.hashCode()) {
            case -934426579:
                if (str.equals("resume")) {
                    lynxAudioTTView.resume(callback);
                    return;
                }
                break;
            case -357431021:
                if (str.equals("boundingClientRect")) {
                    lynxAudioTTView.boundingClientRect(readableMap, callback);
                    return;
                }
                break;
            case 3363353:
                if (str.equals("mute")) {
                    lynxAudioTTView.mute(readableMap, callback);
                    return;
                }
                break;
            case 3443508:
                if (str.equals("play")) {
                    lynxAudioTTView.play(callback);
                    return;
                }
                break;
            case 3526264:
                if (str.equals("seek")) {
                    lynxAudioTTView.seek(readableMap, callback);
                    return;
                }
                break;
            case 3540994:
                if (str.equals("stop")) {
                    lynxAudioTTView.stop(callback);
                    return;
                }
                break;
            case 106440182:
                if (str.equals("pause")) {
                    lynxAudioTTView.pause(callback);
                    return;
                }
                break;
            case 194959693:
                if (str.equals("takeScreenshot")) {
                    lynxAudioTTView.takeScreenshot(readableMap, callback);
                    return;
                }
                break;
            case 1419773105:
                if (str.equals("requestUIInfo")) {
                    lynxAudioTTView.requestUIInfo(readableMap, callback);
                    return;
                }
                break;
            case 1908871954:
                if (str.equals("scrollIntoView")) {
                    lynxAudioTTView.scrollIntoView(readableMap);
                    return;
                }
                break;
            case 2095520559:
                if (str.equals("playerInfo")) {
                    lynxAudioTTView.playerInfo(callback);
                    return;
                }
                break;
        }
        callback.invoke(new Object[]{3});
    }
}
